﻿using System.ComponentModel;

namespace MedicalDatabaseContracts.ViewModels
{
    public class VisitViewModel : AbstractViewModel
    {
        public int PatientId { get; set; }
        public int DoctorId { get; set; }
        public int? DiagnoseId { get; set; }
        [DisplayName("Комментарий")]
        public string Comment { get; set; } = string.Empty;
        [DisplayName("Пациент")]
        public string PatientFIO { get; set; } = string.Empty;
        [DisplayName("Врач")]
        public string DoctorFIO { get; set; } = string.Empty;
        [DisplayName("Диагноз")]
        public string DiagnoseName { get; set; } = string.Empty;
        [DisplayName("Дата")]
        public DateOnly Date { get; set; }
        [DisplayName("Время")]
        public TimeOnly Time { get; set; }

    }
}
